namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 临床表单问题答案")]
[Table("ClinicalQuestionAnswer")]
public class ClinicalQuestionAnswer : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("ClinicalFormId")]
    public ClinicalForm ClinicalForm { get; set; }
    #endregion

    [StringLength(1000)]
    public string Answer { get; set; } = null!;

    public Guid ClinicalDataTrialSetId { get; set; }

    [Comment("表单Id")]
    public Guid ClinicalFormId { get; set; }

    [Comment("问题Id")]
    public Guid QuestionId { get; set; }

    [Comment("受试者Id")]
    public Guid SubjectId { get; set; }
}
